<?php


namespace App\Admin\Actions\Chat;

use App\Models\UserInfoModel;
use Dcat\Admin\Admin;
use Dcat\Admin\Grid\RowAction;
use Dcat\Admin\Widgets\Modal;
use Dcat\Admin\Widgets\Table;

class TeamChatAction extends RowAction
{
    protected $title;

    protected $group_id;

    public function __construct(string $group_id = null)
    {
        $this->group_id = $group_id;
        $this->title = trans('chat-team.fields.Chat_record');
    }

    /**
     * 设置确认弹窗信息，如果返回空值，则不会弹出弹窗
     *
     * 允许返回字符串或数组类型
     *
     * @return array|string|void
     */
    public function confirm()
    {

    }

    /**
     * 处理请求
     *
     * @param Request $request
     *
     * @return \Dcat\Admin\Actions\Response
     */
    public function handle(Request $request)
    {
        return $this->response()
            ->success('Processed successfully: '.$this->getKey())
            ->redirect('/');
    }

    /**
     * 设置要POST到接口的数据
     *
     * @return array
     */
    public function parameters()
    {
        return [];
    }

    public function render()
    {
        $form = TeamChatLog::make()->payload(['group_id'=>$this->group_id]);
        return Modal::make()
            ->lg()
            ->title($this->title)
            ->body($form)
            ->button('<i class="feather icon-list"></i> '.$this->title);
    }
}
